May 2019 Newsletter

WordPress Version 5.2, was made available on May 7, 2019. In summary, the functional enhancements in this release are mainly aimed at WordPress.org users although work has also gone into improving the general block editor experience. The changes will be incorporated into WordPress.com shortly, where appropriate.

WordPress 5.2

The Block Editor (aka Gutenberg)

Changes include:

  • Another wodge of widgets now have block versions. They are: RSS, Amazon Kindle embed, search, calendar and tag cloud
  • In addition, a legacy widget block has been introduced. This will allow you to incorporate widgets that were developed for old WordPress (pre-version 5) into blocks. However, I note that it is described as “experimental” at the moment
  • The cover page block now acts as a container which can contain multiple blocks. For example, it may have three blocks: a title, a paragraph of text, and a button, as well as the cover image itself
  • Disabling / enabling blocks. This is called block management. It is probably aimed at WordPress.org users who have incorporated collection(s) of third-party blocks into their system. For example, they may have installed a collection of blocks that includes a gallery feature. They only want the gallery feature and are not interested in the other blocks. They can disable those unwanted blocks to reduce the memory requirement
  • Performance improvements, particularly reducing the time taken to load large posts / pages.

Site Health Project (WordPress.org users)

This is an ongoing project, principally for WordPress.org users. WordPress version 5.2 includes Improved Fatal Error Protection which aims to catch serious errors before they produce the “white screen of death”, allowing a login to admin to potentially resolve the problem.

In addition, there are two new pages in the admin interface (under tools) that allow you to check out the health of your site via a number of tests.

PHP Support (WordPress.org users)

This subject seems to trundle on and on! 5.6 is now the minimum version of PHP that can run WordPress. However, as I have mentioned before, the PHP people only support version 7.0 and above. Unless there are mitigating circumstances WordPress.org users should be on version 7.0 or above.

WordPress 5.2 will not now be installed on your site if you are not on PHP 5.6 or greater. This minimum version requirement is likely to go up to 7.0 before the end of the year .. famous last words!

Similarly, WordPress will now check that any installed plugin is compatible with the version of PHP that you have installed. If it is not then the plugin will not be activated.

Fixes

WordPress version 5.2 includes a lot of bug fixes and minor changes, generally making the product more reliable, while ironing out some of the idiosyncrasies.

Other Recent Changes in WordPress.com

The following items are not related to the version 5.2 release, per se.

  • If you use the Calypso interface, you may have noticed that they have just changed the layout of the menu system
  • Contact form. I said some months back that there was no facility within Wordpress.com to add a contact form in the new block editor. A form block has now been added (not sure precisely when it appeared)
  • More admin dashboard colour schemes are available .. if you are in to that sort of thing!
  • Fyi it is no longer possible to purchase a custom domain if you are only using the free plan. Individuals who previously did so are not affected by this change.

My experiences with the block editor

I have been using the new block editor on my own website (bkthisandthat.org.uk) and on the Ascot Volunteer Bureau website since January 2019. I have found it to be stable. The current issues for me are:

  • Slideshows are not currently supported in blocks
  • The table block is not particularly satisfactory at the moment (although there are workarounds)
  • The converter (from classic editor format to blocks) annoyingly decouples an image and the adjacent text (where they are side by side), although they can easily be re-coupled.

There is no pressure at this time for users to convert to the block editor. As I said last time, it has been stated that the Classic Editor will be supported until December 2021. Perhaps the end of this year may be a useful time to assess the current state of play and possibly consider converting.

What is coming up?

Sidebars and footers. It is important to realise that the implementation of widget blocks thus far has been limited to their use in the main body of the screen. What has not been mentioned is the use of widgets in sidebars and footers where we have historically used them. WordPress has now issued a Blocks in Widget Areas RFC (Request for Comments). This means that they have a draft design for handling widgets in sidebars and footers, and they are asking for some feedback before continuing. It may be late summer or autumn before any agreed design is actually implemented.

Navigation Menu. Work continues on the Implementation of the navigation menu as a block, but it is unclear to me where they are with this. They were struggling to agree on a design when last I heard.

Block directory. As mentioned earlier, third-party blocks are currently installed as plugins, usually in collections that consist of multiple blocks. I get the impression that this is seen as a short-term solution. There are design discussions on implementing a separate block directory whereby they can be incorporated individually into your site. This facility will be principally aimed at Wordpress.org users.

Wp-admin dashboard. There is a proposal to revamp it, using blocks. It remains to be seen if this gets off the ground, and if so when. WordPress.com users who use the Calypso interface will not be affected by this possible change. See this post if you are unclear about the different WordPress.com dashboards.

Accessibility

Finally, a few words on this subject which deals with improving the experience of individuals with disabilities. Please be aware, if you are not already, that WCAG 2.1 (Web Content Accessibility Guidelines) was issued in June 2018. Public Sector bodies, including central and local government, plus some charities and some non-government organisations (not sure precisely what “some” means at the moment), must comply with these guidelines by September 2020. There are two strands that concern us:

  • Using WordPress itself. An accessibility audit on the new block editor has just been carried out. It was commissioned by a 3rd party outfit called WPCampus. The report finds various problems although it has to be said that the study was based on WordPress 5.0.3, and that work has been carried out in the area of accessibility since that release. I expect that further work will be undertaken in the coming months. I will monitor what happens here and report back
  • The website that you create. It is your responsibility to address WCAG 2.1 compliance if it applies to your organisation. I will relay any useful information that I hear. Obviously, I would appreciate any information that you may discover on the subject.